const apis = {
    system: {
        uploadFile: {
            url: "/wxapp/index/one",
            showLoading: true,
        },
        serviceData: {
            url: "/user/workerorder/datainfo",
            showLoading: true,
            auth: true,
        },
        carefree: {
            url: "/user/workerinfo/carefree",
            showLoading: true,
            auth: true,
        },
        notify: {
            cate: {
                url: "/wxapp/index/newcate",
                showLoading: true,
            },
            list: {
                url: "/wxapp/index/newlistbycateid",
                showLoading: true,
            },
            detail: {
                url: ""
            }
        }
    },
    user: {
        sendCode: {
            url: "/wxapp/public/send",
        },
        openId: {
            url: "/wxapp/public/getopenid",
        },
        register: {
            url: "/wxapp/public/registerb",
        },
        login: {
            url: "/wxapp/public/loginb",
        },
        resetPassword: {
            url: "/wxapp/public/passwordReset",
        },
        info: {
            url: "/user/workerinfo/getuserinfo",
            showLoading: true,
            auth: true,
        },
        setServiceInfo: {
            url: "/user/workerinfo/setinfo",
            auth: true,
        },
        setServiceState: {
            url: "/user/workerinfo/setworker",
            auth: true,
        },
        withdraw: {
            withdraw: {
                url: "/user/workerinfo/drawmoney",
                showLoading: true,
                auth: true,
            },
            explain: {
                url: "/wxapp/index/getdistributionmoney",
                showLoading: true,
                auth: true,
            }
        }
    },
    service: {
        cate: {
            url: "/wxapp/index/category1",
        },
        carType: {
            url: "/wxapp/index/getallcar"
        },
    },
    get: {
        list: {
            t1: {
                url: "/user/workerorderb/getallorder",
                showLoading: true,
                auth: true,
            },
            t2: {
                url: "/user/workerorderc/getallorder",
                showLoading: true,
                auth: true,
            },
            t3: {
                url: "/user/workerorder/getallcarorder",
                showLoading: true,
                auth: true,
            }
        },
        detail: {
            t1: {
                url: "/user/workerorderb/orderinfo",
                showLoading: true,
                auth: true,
            },
            t2: {
                url: "/user/workerorderc/orderinfobyid",
                showLoading: true,
                auth: true,
            },
            t3: {
                url: "/user/workerorder/getcarorderinfobyid",
                showLoading: true,
                auth: true,
            },
        },
        getOrder: {
            t1: {
                url: "/user/workerorderb/workerorderbyid",
                showLoading: true,
                auth: true,
            },
            t2: {
                url: "/user/workerorderc/joinorder",
                showLoading: true,
                auth: true,
            },
            t3: {
                url: "/user/workerorder/workerorderbyid",
                showLoading: true,
                auth: true,
            },
        }
    },
    order: {
        list: {
            t1: {
                url: "/user/workerorderb/getmyorderb",
                showLoading: true,
                auth: true,
            },
            t2: {
                url: "/user/workerorderc/myorderlist",
                showLoading: true,
                auth: true,
            },
            t3: {
                url: "/user/workerorder/getmycarorder",
                showLoading: true,
                auth: true,
            },
        },
        detail: {
            t1: {
                url: "/user/workerorderb/orderinfo",
                showLoading: true,
                auth: true,
            },
            t2: {
                url: "/user/workerorderc/orderinfobyid",
                showLoading: true,
                auth: true,
            },
            t3: {
                url: "/user/workerorder/getcarorderinfobyid",
                showLoading: true,
                auth: true,
            },
        },
        finish: {
            t1: {
                url: "/user/workerorderb/orderok",
                showLoading: true,
                auth: true,
            },
            t2: {
                url: "/user/workerorderc/orderok",
                showLoading: true,
                auth: true,
            },
            t3: {
                url: "",
            }
        },
        refund: {
            t1: {
                url: "/user/workerorderb/agreerefund",
                showLoading: true,
                auth: true,
            },
            t2: {
                url: "/user/workerorderc/agreerefund",
                showLoading: true,
                auth: true,
            },
            t3: {
                url: "",
            }
        },
        appeal: {
            t1: {
                url: "/user/workerorderb/disagreerefund",
                showLoading: true,
                auth: true,
            },
            t2: {
                url: "/user/workerorderc/disagreerefund",
                showLoading: true,
                auth: true,
            },
            t3: {
                url: "",
            }
        }
    },
}

export default apis
