import Vue from "vue"
let prototype = Vue.prototype;

export default {
    /**
     * 获取列表
     */
    getList(options) {
        return new Promise((resolve, reject) => {
            prototype.$request(options.request).then(response => {
                if (response.code == 1) {
                    let list = [];
                    if (options.listType == "t1" || options.listType == "t2") {
                        response.data.forEach(item => {
                            list.push({
                                listType: options.listType,
                                id: item.id,
                                orderId: item.order,
                                username: "用户名称",
                                cate: "待返数据",
                                content: item.desc,
                                createTime: item.time,
                                serviceTime: item.times,
                                orderType: item.types,
                                state: item.status,
                                price: item.money,
                            });
                        });
                    } else if (options.listType == "t3") {
                        response.data.forEach(item => {
                            list.push({
                                listType: options.listType,
                                id: item.id,
                                orderId: item.order,
                                username: "用户名称",
                                cate: "待返数据",
                                content: "",
                                createTime: item.times,
                                serviceTime: item.starttime,
                                orderType: 1,
                                state: item.status,
                                price: item.money,
                            });
                        });
                    }

                    return resolve(list);
                }
                return reject(response.msg);
            }).catch(e => { });
        });
    },
    /**
     * 获取详情
     */
    getDetail(options) {
        return new Promise((resolve, reject) => {
            prototype.$request(options.request).then(response => {
                if (response.code == 1) {
                    let order = {};
                    if (options.listType == "t1" || options.listType == "t2") {
                        order = {
                            listType: options.listType,
                            id: response.data.id,
                            orderId: response.data.order,
                            username: "用户名称",
                            cate: "待返数据",
                            content: response.data.desc,
                            createTime: response.data.time,
                            serviceTime: response.data.times,
                            orderType: response.data.types,
                            state: response.data.status,
                            price: response.data.money,
                            orderId: response.data.order,
                            address: {
                                address: response.data.address.address,
                                detail: response.data.address.doorplate,
                                name: response.data.address.name,
                                mobile: response.data.address.mobil,
                            },
                        };
                        if (options.listType == "t1") {
                            order.images = response.data.goods.map((item) => item.thumbnail);
                        } else {
                            order.images = response.data.img;
                        }
                    } else if (options.listType == "t3") {
                        order = {
                            listType: options.listType,
                            id: response.data.id,
                            orderId: response.data.order,
                            username: "用户名称",
                            cate: "待返数据",
                            createTime: response.data.times,
                            serviceTime: response.data.starttime,
                            pickupAddress: response.data.address,
                            unloadAddress: response.data.addressb,
                            state: response.data.status,
                            price: response.data.money,
                        };
                    }
                    return resolve(order);
                }
                return reject(response.msg);
            }).catch(e => { });
        });
    },
    /**
     * 接单
     */
    getOrder(options) {
        return new Promise((resolve, reject) => {
            prototype.$request(options).then(response => {
                if (response.code == 1) {
                    return resolve(response.msg);
                }
                return reject(response.msg);
            }).catch(e => { });
        });
    }
}
